# display debugging messages in R if local, 
# or in the console log if remote
debug_msg <- function(...) {
  is_local <- Sys.getenv('SHINY_PORT') == ""
  txt <- paste(...)
  if (is_local) {
    message(txt)
  } else {
    shinyjs::logjs(txt)
  }
}

# img_btn ----
# make a button that is just an image
img_btn <- function(id, img) {
  tags$button(
    id = id,
    type = "button",
    class = "btn action-button img-btn",
    img(src = img, width = "300px")
  )
}